%define language cs-CZ
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Czech
%define name mozilla-firefox-%{locale}
%define version 1.5.0.4
%define release %mkrel 1
%define firefox_version %{version}
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
# source of this package is really taken from
# http://ftp.czilla.cz/mozilla.org/firefox/1.0.1/lang/firefox-1.0.1.cs-CZ.langpack.xpi
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary:	%{langname} interface for Firefox 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{xpidir}/%language.xpi
License:	GPL
Group:		Networking/WWW
Url:		http://www.mozilla.org/products/firefox/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mozilla-firefox = %{firefox_version}
Requires:	locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/

sed -i -e 's/maxVersion>1.5.0.1/maxVersion>1.5.0.*/g' %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/install.rdf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale}@firefox.mozilla.org


%changelog
* Mon Jun 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.4-1mdv2007.0
- Release 1.5.0.4
- fix install.rdf file to work on version > 1.5.0.1

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2

* Mon Feb 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-1mdk
- Release 1.5.0.1
- Clean requires / buildrequires / specfile

* Tue Oct 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-1mdk
- New release 1.0.7

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Mon May 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-2mdk
- Run db rebuild script only when it exists

* Thu May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- 1.0.4 

* Sat Apr 09 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.2-2mdk
- Really rebuild for 1.0.2

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Tue Mar 22 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.1-2mdk
- Fix arch

* Tue Mar 8 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0.1-1mdk
- fix firefox_version, increase version

* Tue Mar 8 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-3mdk
- rebuild for new firefox
- updated translation

* Tue Feb 22 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-2mdk
- fix bug #6574

* Sat Jan 15 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-1mdk
- initial mdk release based on other mozilla-firefox i18n packages..
